﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;

namespace WpfApp3
{
    [ValueConversion(typeof(bool), typeof(Visibility))]
    public class BoolToCollapsedConverter : IValueConverter
    {
        #region IValueConverter implementation

        /// <summary>
        /// Convert value for binding from source object
        /// </summary>
        public object Convert(object value, Type targetType,
                object parameter, CultureInfo culture)
        {
            Visibility l_Result = Visibility.Visible;

            if (value is bool)
            {
                bool l_Value = (bool)value;

                if (l_Value == true)
                {
                    l_Result = Visibility.Collapsed;
                }
            }

            return l_Result;
        }

        /// <summary>
        /// ConvertBack value from binding back to source object
        /// </summary>
        public object ConvertBack(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            bool l_Result = false;

            if (value is Visibility)
            {
                Visibility l_Visibility = (Visibility)value;

                if (l_Visibility == Visibility.Collapsed)
                {
                    l_Result = true;
                }
            }

            return l_Result;
        }
        #endregion
    }
}
